select 
	(
		select 
		(select a.INITIALBAL + total(t.TRANSAMOUNT)
			from
			(select ACCOUNTID, STATUS,
				(case when TRANSCODE = 'Deposit' then TRANSAMOUNT else -TRANSAMOUNT end) as TRANSAMOUNT
				from CHECKINGACCOUNT_V1
				union all
				select TOACCOUNTID, STATUS, TOTRANSAMOUNT 
				from CHECKINGACCOUNT_V1
				where TRANSCODE = 'Transfer') as t
				where  t.ACCOUNTID = a.ACCOUNTID
					and t.STATUS <> 'V') as Balance
				from ACCOUNTLIST_V1 as a
				where a.STATUS = 'Open' and ACCOUNTID=='59'
				group by a.ACCOUNTNAME
	) as BalanceNow,






	TOACCOUNTID,TRANSCODE, CATEGNAME, NOTES, NEXTOCCURRENCEDATE AS TRANSDATE,
		(case when TRANSCODE = 'Deposit' then TRANSAMOUNT else 0 end) as DEPOSIT,
		(case when TRANSCODE = 'Withdrawal' then -TRANSAMOUNT when TRANSCODE = 'Transfer' then -TOTRANSAMOUNT else 0 end) as WITHDRAWAL
	from BILLSDEPOSITS_V1 as t
	join CATEGORY_V1 as c ON c.CATEGID=t.CATEGID
	where TRANSDATE < date('now', 'start of month', '+2 month')
		and (ACCOUNTID=='59')
		and (TRANSCODE!='Transfer' or TOACCOUNTID=='4')
	order by TRANSDATE;